package log_bus

import (
	"testing"
)

type tester struct {
	t *testing.T
}

func TestLogDictTopic(t *testing.T) {
	sf := &tester{
		t: t,
	}
	sf.new()
}

// Создаёт новый словарь топиков для логирования
func (sf *tester) new() {
	sf.t.Log("new")
	log := NewLogDictTopic(nil)
	if log == nil {
		sf.t.Fatalf("new(): log!=nil")
	}
	if log.client != nil {
		sf.t.Fatalf("mew(): log.client!=nil")
	}
}
